
declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion as int
declare @id_funcionalidad_padre as int
set @id_funcionalidad_padre  =  (select id from gui_funcionalidad where nombreComando = 'gen_zona' and id_tipoFuncionalidad = 3 and url = '/forms/gen/gen_zona.aspx' and active = 1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'unificar' and id_tipoFuncionalidad = 2 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia,'01',1,1,getdate(),getdate(),1,'Unificar','','unificar.jpg','','','','',0,'pop_unificarZona','unificar',1,@id_funcionalidad_padre,2) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES


set @id_permisoaccion =(select top 1 id from gui_funcionalidad  where nombreComando = 'unificar' and id_tipoFuncionalidad = 2 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion 
     from seg_perfil 
     end

